--- title: "Get the Firewall Logging" slug: "get-the-firewall-logging" tags: ["Reference", "IPS 10.1.10"] updated: 2026-09-23T09:34:39Z published: 2026-09-23T09:34:39Z canonical: "docs.trellix.com/get-the-firewall-logging" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Get the Firewall Logging This URL gets the firewall logging for the Sensor. ## Resource URL GET /sensor//firewalllogging ## Request Parameters URL Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | sensor_id | Sensor id | Number | Yes | ## Response Parameters Following fields are returned. | Field Name | Description | Data Type | | --- | --- | --- | | isSuppressionEnabled | To enable the suppression | Boolean | | individualMessage | Individual message | Number | | suppressionInterval | Suppression interval | Number | | uniqueSource DestinationIPpairs | Unique source destination IP pairs | Number | | loggingType | Logging type can be: - "DISABLE_DEVICE" - "LOG_ALL_MATCHED_TRAFFIC" - "LOG_ALL_DROPPED_DENIED_TRAFFIC" - "LOG_ALL_PERMITTED_TRAFFIC" - "LOG_MATCHED_TRAFFIC_ONLY" | String | | deliveryType | Delivery type can be: "MESSAGES_TO_TARGET_SYSLOGSERVER_VIA_MANAGER", "MESSAGES_TO_TARGET_SYSLOGSERVER_DIRECTLY_FROM_DEVICE" | String | ## Example **Request** GET [https:///sdkapi/sensor/1001/firewalllogging](https://%3CNSM_IP%3E/sdkapi/sensor/1001/firewalllogging) **Response** ``` {  "loggingType": "LOG_ALL_MATCHED_TRAFFIC",  "deliveryType": "MESSAGES_TO_TARGET_SYSLOGSERVER_VIA_MANAGER",  "isSuppressionEnabled": false,  "individualMessage": 25,  "suppressionInterval": 120,  "uniqueSourceDestinationIPpairs": 10 } ```   ## Error Information Following error code is returned by this URL: | No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 404 | 1106 | Invalid Sensor |